## showimg 0.9.5

=== showimg/kexi/kexidb/drivers/odbc/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# KDE tags expanded automatically by am_edit - $Revision: 409359 $ 
# showimg/kexi/kexidb/drivers/odbc/Makefile.  Generated from Makefile.in by config.pl.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ../../../../..
VPATH = .
pkgdatadir = $(datadir)/showimg-0.9.5
pkglibdir = $(libdir)/showimg-0.9.5
pkgincludedir = $(includedir)/showimg-0.9.5
top_builddir = ../../../../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -p
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/rgroult/boulot/ShowImg/showimg-0.9.5/showimg/showimg-0.9.5/admin/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/rgroult/boulot/ShowImg/showimg-0.9.5/showimg/showimg-0.9.5/admin/missing --run tar
AR = ar
ARTSCCONFIG = /usr/bin/artsc-config
AUTOCONF = $(SHELL) $(top_srcdir)/admin/cvs.sh configure || touch configure
AUTODIRS = 
AUTOHEADER = ${SHELL} /home/rgroult/boulot/ShowImg/showimg-0.9.5/showimg/showimg-0.9.5/admin/missing --run autoheader
AUTOMAKE = ${SHELL} /home/rgroult/boulot/ShowImg/showimg-0.9.5/showimg/showimg-0.9.5/admin/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -std=iso9899:1990 -W -Wall -Wchar-subscripts -Wshadow -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -O2   -Wformat-security -Wmissing-format-attribute
CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in $(top_srcdir)/./showimg/configure.in.bot $(top_srcdir)/./showimg/configure.in.in $(top_srcdir)/./showimg/kexi/3rdparty/configure.in.in $(top_srcdir)/./showimg/kexi/kexidb/configure.in.in $(top_srcdir)/./showimg/kexi/kexidb/drivers/configure.in.bot $(top_srcdir)/./showimg/kexi/kexidb/drivers/configure.in.in $(top_srcdir)/./showimg/showimg/configure.in.in $(top_srcdir)/configure.in.bot
CPP = gcc -E
CPPFLAGS =  -DQT_THREAD_SUPPORT  -D_REENTRANT
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wno-non-virtual-dtor -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION
CYGPATH_W = echo
DCOPIDL = /usr/bin/dcopidl
DCOPIDL2CPP = /usr/bin/dcopidl2cpp
DCOPIDLNG = /usr/bin/dcopidlng
DCOP_DEPENDENCIES = $(DCOPIDL) $(DCOPIDLNG)
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_PERMISSIVE_FLAG = -fpermissive
EXEEXT = 
F77 = f95
FFLAGS = -g -O2
FRAMEWORK_COREAUDIO = 
GMSGFMT = /usr/bin/msgfmt
HAVE_GCC_VISIBILITY = 0
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG)
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
KCFG_DEPENDENCIES = $(KCONFIG_COMPILER)
KCONFIG_COMPILER = /usr/bin/kconfig_compiler
KDECONFIG = /usr/bin/kde-config
KDE_CHECK_PLUGIN = $(KDE_PLUGIN) -rpath $(libdir)
KDE_EXTRA_RPATH = 
KDE_INCLUDES = -I/usr/include/kde
KDE_LDFLAGS = -L/usr/lib
KDE_MT_LDFLAGS = 
KDE_MT_LIBS = -lpthread
KDE_NO_UNDEFINED = -Wl,--no-undefined -Wl,--allow-shlib-undefined
KDE_PLUGIN = -avoid-version -module -no-undefined $(KDE_NO_UNDEFINED) $(KDE_RPATH) $(KDE_MT_LDFLAGS)
KDE_RPATH = -R $(libdir) -R $(kde_libraries) -R $(qt_libraries) -R $(x_libraries)
KDE_USE_CLOSURE_FALSE = 
KDE_USE_CLOSURE_TRUE = #
KDE_USE_FINAL_FALSE = 
KDE_USE_FINAL_TRUE = #
KDE_USE_NMCHECK_FALSE = 
KDE_USE_NMCHECK_TRUE = #
KDE_XSL_STYLESHEET = /usr/share/apps/ksgmltools2/customization/kde-chunk.xsl
LDFLAGS = 
LDFLAGS_AS_NEEDED = 
LDFLAGS_NEW_DTAGS = 
LIBCOMPAT = 
LIBCRYPT = -lcrypt
LIBDL = -ldl
LIBEXIF_CFLAGS = -I/usr/include/libexif  
LIBEXIF_LIBS = -lexif -lm  
LIBJPEG = -ljpeg
LIBKEXIDB_CPPFLAGS = -I$(showimg_top_srcdir)/kexi -I$(showimg_top_srcdir)/showimgdb
LIBKEXIDB_LDDADD = $(showimg_top_builddir)/kexi/kexidb/libshowimgkexidb.la $(showimg_top_builddir)/kexi/kexidb/parser/libshowimgkexidbparser.la $(showimg_top_builddir)/kexi/kexiutils/libshowimgkexiutils.la $(showimg_top_builddir)/showimgdb/libshowimgdb.la
LIBKEXIDB_LIBS = 
LIBKEXIF_CFLAGS =  
LIBKEXIF_LIBS = -lkexif  
LIBKIPI_CFLAGS = 
LIBKIPI_LIBS = -lkipi
LIBOBJS = 
LIBPNG = -lpng -lz -lm
LIBPTHREAD = -lpthread
LIBREADLINE = -lreadline -ltermcap
LIBRESOLV = -lresolv
LIBS = 
LIBSM = -lSM -lICE
LIBSOCKET = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = 
LIBUTIL = -lutil
LIBZ = -lz
LIB_KAB = -lkab
LIB_KABC = -lkabc
LIB_KDECORE = -lkdecore
LIB_KDED = 
LIB_KDEPIM = -lkdepim
LIB_KDEPRINT = -lkdeprint
LIB_KDEUI = -lkdeui
LIB_KDNSSD = -lkdnssd
LIB_KFILE = -lkio
LIB_KFM = 
LIB_KHTML = -lkhtml
LIB_KIMPROXY = -lkimproxy
LIB_KIO = -lkio
LIB_KJS = -lkjs
LIB_KNEWSTUFF = -lknewstuff
LIB_KPARTS = -lkparts
LIB_KSPELL = -lkspell
LIB_KSYCOCA = -lkio
LIB_KUNITTEST = -lkunittest
LIB_KUTILS = -lkutils
LIB_POLL = 
LIB_QPE = 
LIB_QT = -lqt-mt  $(LIBZ) $(LIBPNG) -lXext $(LIB_X11) $(LIBSM) -lpthread
LIB_SMB = -lsmb
LIB_X11 = -lX11 $(LIBSOCKET)
LIB_XEXT = -lXext
LIB_XRENDER = 
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/rgroult/boulot/ShowImg/showimg-0.9.5/showimg/showimg-0.9.5/admin/missing --run makeinfo
MAKEKDEWIDGETS = 
MCOPIDL = /usr/bin/mcopidl
MEINPROC = /usr/bin/meinproc
MOC = /usr/lib/qt-3.3/bin/moc
MSGFMT = /usr/bin/msgfmt
MYSQL_INC = /usr/include/mysql
MYSQL_LIBS = -L/usr/lib/mysql -lmysqlclient -lz -lcrypt -lnsl -lm -L/usr/lib -lssl -lcrypto
NOOPT_CFLAGS = -O0
NOOPT_CXXFLAGS = -O0
OBJEXT = o
PACKAGE = showimg-0.9.5
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PERL = /usr/bin/perl
PG_INCDIR = /usr/include
PG_LIBDIR = /usr/lib
PKGCONFIGFOUND = yes
PKG_CONFIG = /usr/bin/pkg-config
PQXX_INCDIR = 
PQXX_LIBDIR = 
QTE_NORTTI = 
QT_INCLUDES = -I/usr/lib/qt-3.3/include
QT_LDFLAGS = -L/usr/lib/qt-3.3/lib
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
TOPSUBDIRS =  doc po showimg
UIC = /usr/lib/qt-3.3/bin/uic -L $(kde_widgetdir) -nounload
UIC_TR = tr2i18n
USER_INCLUDES = 
USER_LDFLAGS = 
USE_EXCEPTIONS = -fexceptions
USE_RTTI = 
USE_THREADS = 
VERSION = 3.4.89
WOVERLOADED_VIRTUAL = 
XGETTEXT = /usr/bin/xgettext
XMLLINT = /usr/bin/xmllint
X_EXTRA_LIBS = 
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_PRE_LIBS = 
X_RPATH = -R $(x_libraries)
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = f95
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
all_includes = -I/usr/include/kde -I/usr/lib/qt-3.3/include -I/usr/X11R6/include 
all_libraries = -L/usr/lib -L/usr/lib/qt-3.3/lib -L/usr/X11R6/lib   
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
compile_mysql_plugin_FALSE = #
compile_mysql_plugin_TRUE = 
compile_pgsql_plugin_FALSE = 
compile_pgsql_plugin_TRUE = #
compile_showimgdb_FALSE = #
compile_showimgdb_TRUE = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
have_readline_FALSE = #
have_readline_TRUE = 
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
include_ARTS_FALSE = #
include_ARTS_TRUE = 
include_x11_FALSE = #
include_x11_TRUE = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/rgroult/boulot/ShowImg/showimg-0.9.5/showimg/showimg-0.9.5/admin/install-sh
kde_appsdir = ${datadir}/applnk
kde_bindir = ${exec_prefix}/bin
kde_confdir = ${datadir}/config
kde_datadir = ${datadir}/apps
kde_htmldir = ${datadir}/doc/HTML
kde_icondir = ${datadir}/icons
kde_includes = /usr/include/kde
kde_kcfgdir = ${datadir}/config.kcfg
kde_libraries = /usr/lib
kde_libs_htmldir = /usr/share/doc/HTML
kde_libs_prefix = /usr
kde_locale = ${datadir}/locale
kde_mimedir = ${datadir}/mimelnk
kde_moduledir = ${libdir}/kde3
kde_qtver = 3
kde_servicesdir = ${datadir}/services
kde_servicetypesdir = ${datadir}/servicetypes
kde_sounddir = ${datadir}/sounds
kde_styledir = ${libdir}/kde3/plugins/styles
kde_templatesdir = ${datadir}/templates
kde_wallpaperdir = ${datadir}/wallpapers
kde_widgetdir = /usr/lib/kde3/plugins/designer
kdeinitdir = $(kde_moduledir)
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr
program_transform_name = s,x,x,
qt_includes = /usr/lib/qt-3.3/include
qt_libraries = /usr/lib/qt-3.3/lib
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
showimg_top_builddir = $(top_builddir)/showimg
showimg_top_srcdir = $(top_srcdir)/showimg
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
unsermake_enable_pch_FALSE = 
unsermake_enable_pch_TRUE = #
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
xdg_appsdir = ${datadir}/applications/kde
xdg_directorydir = ${datadir}/desktop-directories
xdg_menudir = ${sysconfdir}/xdg/menus
KEXI_OPTIONS = 

KDE_CXXFLAGS = \
$(USE_EXCEPTIONS) $(KEXI_OPTIONS)\
-include $(showimg_top_srcdir)/kexi/kexi_global.h -DKEXIDB_ODBC_DRIVER_EXPORT= -D__KEXIDB__= \
	-include $(showimg_top_srcdir)/kexi/kexidb/global.h


VER_INFO = -version-info 1:0:0

kde_module_LTLIBRARIES = showimg_kexidb_odbcdriver.la

INCLUDES = -I$(showimg_top_srcdir)/kexi $(all_includes)

#>- showimg_kexidb_odbcdriver_la_METASOURCES = AUTO

showimg_kexidb_odbcdriver_la_SOURCES = odbcdriver.cpp odbcconnection.cpp 

showimg_kexidb_odbcdriver_la_LIBADD = $(LIB_KPARTS) $(LIB_QT) -lodbc $(top_builddir)/kexi/kexidb/libshowimgkexidb.la

#>- showimg_kexidb_odbcdriver_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) $(VER_INFO) -no-undefined
#>+ 1
showimg_kexidb_odbcdriver_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN) $(VER_INFO) -no-undefined $(KDE_NO_UNDEFINED)

kde_services_DATA = showimg_kexidb_odbcdriver.desktop
subdir = showimg/kexi/kexidb/drivers/odbc
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(kde_module_LTLIBRARIES)

showimg_kexidb_odbcdriver_la_DEPENDENCIES = \
	$(top_builddir)/kexi/kexidb/libshowimgkexidb.la
am_showimg_kexidb_odbcdriver_la_OBJECTS = odbcdriver.lo \
	odbcconnection.lo
#>- showimg_kexidb_odbcdriver_la_OBJECTS = \
#>- 	$(am_showimg_kexidb_odbcdriver_la_OBJECTS)
#>+ 5
showimg_kexidb_odbcdriver_la_final_OBJECTS = showimg_kexidb_odbcdriver_la.all_cpp.lo 
showimg_kexidb_odbcdriver_la_nofinal_OBJECTS = odbcdriver.lo \
	odbcconnection.lo
showimg_kexidb_odbcdriver_la_OBJECTS = $(showimg_kexidb_odbcdriver_la_nofinal_OBJECTS)
#showimg_kexidb_odbcdriver_la_OBJECTS = $(showimg_kexidb_odbcdriver_la_final_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/admin/depcomp
am__depfiles_maybe = depfiles

## showimg 0.9.4.1-1

=== debian/changelog ===
showimg (0.9.4.1-1) unstable; urgency=low

  * New upstream release. Many thanks to Achim Bohnet <ach@mpe.mpg.de> for his
    patch. 
    (closes: #300813)
  * control:
      + build-dep: use libkexif1-dev
      + use debhelper >> 4.0.0 because rules uses DH_COMPAT=4
      + recommend kipi-plugins and conflict with kipi-plugins
        (<< 0.1+beta2-20) linked against libkexif0
      + recommend khelpcenter for online docbook manual
      + add homepage URL
      + bump standard-version 3.5.8 -> 3.6.1.  Compared with
        upgrading-checklist.txt
  * menu: remove obsolete kderemove, quote needs="X11"
  * copyright: add documentation copyright holders and add acopy
    of the GFDL
  * manpage:
      + fix arg file, it's not required.
      + add SEE ALSO section
      + bit of cosmetic
  * rules: dh_makeshlibs to generate shlibs and ldconfig run in
    p*install/remove scripts
  * showimgapp/main.cpp: Fix kipi homepage URL, s/teeam/team/
  * debian/lintian: suppress shlibs warning. Library only used
    by programs delivered with this packages (and no headers are
    installed). No pkg is again lintian 'clean'.
  * menu:
      + Add hints in order to help those who use hints
      in the menu system have a clearer menu organisation.
    (closes: #284643)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon,  4 Apr 2005 19:58:36 +0000

showimg (0.9.4-2) unstable; urgency=low

  * Add libkipi-dev, libexif-dev and libkexif-dev to Build-Depends.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Thu,  2 Dec 2004 14:58:13 +0100

showimg (0.9.4-1) unstable; urgency=low

  * New upstream release
  (closes: #274230, #280063, #277683, #269551, #221730)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon, 29 Nov 2004 23:32:41 +0100

showimg (0.9.3-3) unstable; urgency=low

  * Do not compress index.docbook files.
  (closes: #248985)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sat, 27 Nov 2004 10:13:00 +0100

showimg (0.9.3-2) unstable; urgency=medium

  * Correct the Build-Dependency to libtiff4-dev.
  (closes: #264577)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sun, 15 Aug 2004 15:14:09 +0200

showimg (0.9.3-1) unstable; urgency=low

  * New upstream release

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue,  6 Jul 2004 23:54:59 +0200

showimg (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sun, 14 Mar 2004 20:31:46 +0100

showimg (0.8.1-1) unstable; urgency=low

  * New upstream release
  * Remove --enable-final from configure to fix a compilation problem.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Fri, 12 Dec 2003 18:16:22 +0100

showimg (0.8.0-2) unstable; urgency=low

   * Add xutils to Build-Depends.
   (closes: #217855)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Tue,  9 Dec 2003 11:17:07 +0100

showimg (0.8.0-1) unstable; urgency=low

  * New upstream release

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sat, 25 Oct 2003 23:14:06 +0200

showimg (0.8-beta2-2) unstable; urgency=low

  * Added libtiff3g-dev to Build-Depends.
    (closes: Bug#194326)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Wed, 28 May 2003 15:37:53 +0200

showimg (0.8-beta2-1) unstable; urgency=low

  * New upstream release.
    (closes: Bug#183135)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Fri, 14 Mar 2003 00:08:41 -0500

showimg (0.7-3) unstable; urgency=low

  *  Replaced config.{guess,sub} and ChangeLog in ./admin by them from
    ftp://ftp.gnu.org/pub/gnu/config/
  (closes: Bug#135339)

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sat, 23 Feb 2002 13:53:59 +0100

showimg (0.7-2) unstable; urgency=low

  * Added kdebase-dev to Build-Depends.
    Thanks to Nicolas Boos.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Sun, 13 Jan 2002 12:50:34 +0100

showimg (0.7-1) unstable; urgency=low

  * Initial Release.
  (closes: Bug#125948)
  * Thanks to Alain Bidaud for packaging showimg before me.

 -- Jean-Michel Kelbert <kelbert@debian.org>  Mon,  7 Jan 2002 19:37:22 +0100

=== debian/control ===
Source: showimg
Section: graphics
Priority: optional
Maintainer: Jean-Michel Kelbert <kelbert@debian.org>
Build-Depends: debhelper (>> 4.0.0), libkonq4-dev, libqt3-compat-headers, libtiff4-dev, xutils, libkipi-dev, libexif-dev, libkexif1-dev
Standards-Version: 3.6.1

Package: showimg
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: kipi-plugins (<< 0.1+beta2-20)
Recommends: khelpcenter, kipi-plugins
Description:  A feature-rich image viewer
 ShowImg is a feature-rich image viewer which can display numerous formats,
 including JPEG, PNG, GIF (animated) and MNG. It consists of a tree view frame,
 a directory/preview frame, and a view frame. The (larger) view frame can be
 exchanged with the (smaller) directory/preview frame. It can preview and
 display images from multiple directories and search for identical images.
 ShowImg also features a full-screen mode, zooming, sorting, drag'n'drop with
 Konqueror, and support for images in compressed archives (.zip).
 .
 Homepage: http://www.jalix.org/projects/showimg/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-rpath --with-qt-includes=/usr/include/qt3/ --disable-debug 


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/showimg-0.8.sgml > showimg-0.8.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/showimg.
	$(MAKE) install prefix=$(CURDIR)/debian/showimg/usr

	mkdir $(CURDIR)/debian/showimg/usr/share/doc/kde
	mv $(CURDIR)/debian/showimg/usr/share/doc/HTML $(CURDIR)/debian/showimg/usr/share/doc/kde/

	for i in `find debian/ -type l -name "common"`; do \
		rm $$i ;\
		ln -s ../common $$i ;\
	done

	install -D -o root -g root -m 0644 $(CURDIR)/debian/lintian $(CURDIR)/debian/showimg/usr/share/lintian/overrides/showimg


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman debian/showimg.1
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress -X.docbook
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## showimg 0.9.4.1-1build2

=== debian/changelog ===
showimg (0.9.4.1-1build2) breezy; urgency=low

  * Rebuild for CXX transition and to make package installable again.

 -- Michiel Sikkes <michiel@eyesopened.nl>  Sat, 27 Aug 2005 00:06:04 +0200

showimg (0.9.4.1-1build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Mon,  6 Jun 2005 16:39:22 +0000
